2.6.27.22 worthy ath9k updates

Bug #373034 reported by Leann Ogasawara on 2009-05-07
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Intrepid
Medium
Stefan Bader
linux-backports-modules-2.6.27 (Ubuntu)
Undecided
Unassigned
Intrepid
Medium
Stefan Bader

Bug Description

SRU Justification:

Impact: SMP machines can hang when using PCI based atheros devices (not PCI express).

Fix: Two cherry picks from 2.6.27.22 stable

Testcase: Network traffic on SMP based hosts with Atheros pci based devices

---

Hi Guys,

Since we are no longer taking the 2.6.27.y stable updates wholesale for Intrepid, I'm reporting this on behalf of Luis Rodriguez:

"These are worthy for Intrepid. These patches are now part of 2.6.27.22. Without these on SMP machines some PCI 11n atheros devices will hang a box. This is more noticeable on MacBook Pros, but I was finally able to reproduce with a regular card. All PCI express 11n devices from us are OK as PCI express is already serialized. Oh and these are also on 2.6.28.10 and made it into the first release of 2.6.29."

commit e06377f6790bab20549524066b493f36f88e806e
Author: Luis R. Rodriguez <email address hidden>
Date: Mon Mar 23 19:03:30 2009 -0400

    ath9k: AR9280 PCI devices must serialize IO as well

    This is a port of:
    commit SHA1 5ec905a8df3fa877566ba98298433fbfb3d688cc
    for 2.6.27

    Signed-off-by: Luis R. Rodriguez <email address hidden>
    Signed-off-by: Greg Kroah-Hartman <email address hidden>

commit 7a1ed3d6dccfd8a5c485c8396397f307ca26bb8f
Author: Luis R. Rodriguez <email address hidden>
Date: Mon Mar 23 19:03:29 2009 -0400

    ath9k: implement IO serialization

    This is a port of:
    commit SHA1 6158425be398936af1fd04451f78ffad01529cb0
    for 2.6.27

    All 802.11n PCI devices (Cardbus, PCI, mini-PCI) require
    serialization of IO when on non-uniprocessor systems. PCI
    express devices not not require this.

    This should fix our only last standing open ath9k kernel.org
    bugzilla bug report:

    http://bugzilla.kernel.org/show_bug.cgi?id=12110

    Signed-off-by: Luis R. Rodriguez <email address hidden>
    Signed-off-by: Greg Kroah-Hartman <email address hidden>

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in linux (Ubuntu Intrepid):
importance: Undecided → Medium
status: New → Triaged

Seems these are also committed in the latest Jaunty head, but not yet available as a package in jaunty-proposed.

Changed in linux (Ubuntu):
status: Triaged → Fix Committed
Stefan Bader (smb) on 2009-05-07
Changed in linux (Ubuntu Intrepid):
assignee: nobody → Stefan Bader (stefan-bader-canonical)
status: Triaged → In Progress
Stefan Bader (smb) on 2009-05-07
description: updated
Stefan Bader (smb) on 2009-05-11
Changed in linux-backports-modules-2.6.27 (Ubuntu Intrepid):
assignee: nobody → Stefan Bader (stefan-bader-canonical)
importance: Undecided → Medium
status: New → In Progress
Changed in linux-backports-modules-2.6.27 (Ubuntu):
status: New → Invalid
Stefan Bader (smb) wrote :

Committed to Intrepid kernel version of ath9k.

Changed in linux (Ubuntu Intrepid):
status: In Progress → Fix Committed
Stefan Bader (smb) wrote :

Also pulled the relevant changes from the upstream wireless repo and committed them to the LBM version of ath9k.

Stefan Bader (smb) on 2009-05-11
Changed in linux-backports-modules-2.6.27 (Ubuntu Intrepid):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Accepted linux into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Martin Pitt (pitti) wrote :

Accepted linux-backports-modules-2.6.27 into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Steve Beattie (sbeattie) on 2009-06-16
tags: added: hw-specific
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-backports-modules-2.6.27 - 2.6.27-14.17

---------------
linux-backports-modules-2.6.27 (2.6.27-14.17) intrepid-proposed; urgency=low

  [ Ike Panhc ]

  * Add driver for Lenovo SL Thinkpads
    - LP: #351586
  * SAUCE: Add dmi pattern for Lenovo SL laptop
    - LP: #351586

  [ Stefan Bader ]

  * Add lenovo-sl-laptop in backport package
    - LP: #351586

  [ Upstream Kernel Changes ]

  * ath9k: implement IO serialization
    - LP: #373034
  * ath9k: AR9280 PCI devices must serialize IO as well
    - LP: #373034

 -- Stefan Bader <email address hidden> Mon, 11 May 2009 14:31:40 +0200

Changed in linux-backports-modules-2.6.27 (Ubuntu Intrepid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.27-14.41

---------------
linux (2.6.27-14.41) intrepid-proposed; urgency=low

  [ Stefan Bader ]

  * Revert "SAUCE: input: Blacklist digitizers from joydev.c"
    - LP: #300143

linux (2.6.27-14.40) intrepid-proposed; urgency=low

  [ Amit Kucheria ]

  * Disable DEVKMEM for all archs on Intrepid
    - LP: #354221
  * SAUCE: Quirk for BT USB device on MacbookPro to be reset before use
    - LP: #332443

  [ Andy Isaacson ]

  * LIRC_PVR150: depends on VIDEO_IVTV
    - LP: #341477
  * SAUCE: FSAM7400: select CHECK_SIGNATURE
    - LP: #341712

  [ Andy Whitcroft ]

  * SAUCE: hotkey quirks for various Zepto Znote and Fujitsu Amilo laptops
    - LP: #330259
  * SAUCE: unusual devs: add an entry for the ScanLogic SL11R-IDE 0.78
    - LP: #336189

  [ Anton Veretenenko ]

  * SAUCE: sony-laptop: add support for Sony Vaio FW series function/media
    keys
    - LP: #307592

  [ Ayaz Abdulla ]

  * SAUCE: forcedeth: msi interrupt fix
    - LP: #288281

  [ Chuck Short ]

  * SAUCE: [USB] Unusual Device support for Gold MP3 Player Energy
    - LP: #125250

  [ Ike Panhc ]

  * squashfs: correct misspelling
    - LP: #322306
  * SAUCE: Fixing symbol name in HECI module
    - LP: #336549
  * Copy header files for various kernel media driver
    - LP: #322732

  [ Stefan Bader ]

  * SAUCE: vgacon: Return the upper half of 512 character fonts
    - LP: #355057
  * SAUCE: input: Blacklist digitizers from joydev.c
    - LP: #300143

  [ Upstream Kernel Changes ]

  * libata: make sure port is thawed when skipping resets
    - LP: #269652
  * x86-64: fix int $0x80 -ENOSYS return
    - LP: #339743
  * rt2x00: Fix race conditions in flag handling
    - LP: #258985
  * USB: cdc-acm: Add another conexant modem to the quirks
    - LP: #323829
  * Bluetooth: Add fine grained mem_flags usage to btusb driver
    - LP: #268502
  * Bluetooth: Handle bulk URBs in btusb driver from notify callback
    - LP: #268502
  * Bluetooth: Submit bulk URBs along with interrupt URBs
    - LP: #268502
  * hwmon: (abituguru3) Match partial DMI board name strings
    - LP: #298798
  * x86: mtrr: don't modify RdDram/WrDram bits of fixed MTRRs
    - LP: #292619
  * sis190: add identifier for Atheros AR8021 PHY
    - LP: #247889
  * ath9k: implement IO serialization
    - LP: #373034
  * ath9k: AR9280 PCI devices must serialize IO as well
    - LP: #373034
  * acer-wmi: fix regression in backlight detection
    - LP: #333386

 -- Stefan Bader <email address hidden> Wed, 26 Aug 2009 11:48:11 +0200

Changed in linux (Ubuntu Intrepid):
status: Fix Committed → Fix Released
Jeremy Foshee (jeremyfoshee) wrote :

Setting top level task as Fix Released as it was overlooked.

-JFo

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers